<?php
define("VIAVI_NAME","WhatsApp Share");
define("VIAVI_TAGLINE","Add the WhatsApp share button to your posts and pages!");

add_action('admin_init', 'wa_btn_init' );
function wa_btn_init(){
  register_setting( 'wa_btn_options', 'wa_btn' );
  $new_options = array(
    'top' => 'on',
    'btm' => 'on',
    'posts' => 'on',
    'pages' => 'off',
    'homepage' => 'off',
	'btn_text' => 'Share this on WhatsApp',
	'button_bg_color' => '#5cbe4a',
    'tracking' => 'off'
  );
  add_option( 'wa_btn', $new_options );
}


add_action('admin_menu', 'show_wa_btn_options');
function show_wa_btn_options() {
   
   add_menu_page('WhatsApp Share Options', 'WhatsApp Share', 'administrator', 'wa_btn', 'wa_btn_options',plugins_url('/whatsapp-share/images/icon.png'));
  
}
 

// ADMIN PAGE
function wa_btn_options() {
?>
    <link href="<?php echo plugins_url( 'admin.css' , __FILE__ ); ?>" rel="stylesheet" type="text/css">
    <div class="viavi_admin_wrap">
        <div class="viavi_admin_top">
            <h1><?php echo VIAVI_NAME?> <small> - <?php echo VIAVI_TAGLINE?></small></h1>
        </div>

        <div class="viavi_admin_main_wrap">
            <div class="viavi_admin_main_left">
          <script type="text/javascript">
		  jQuery(document).ready(function($){
				$('.button_bg_color').wpColorPicker();
			});
		  </script>       

    <form method="post" action="options.php" id="options">
      <?php settings_fields('wa_btn_options'); ?>
      <?php $options = get_option('wa_btn'); 
        if (!isset($options['posts'])) {$options['posts'] = "";}
        if (!isset($options['pages'])) {$options['pages'] = "";}
        if (!isset($options['homepage'])) {$options['homepage'] = "";}
        if (!isset($options['top'])) {$options['top'] = "";}
        if (!isset($options['btm'])) {$options['btm'] = "";}
		if (!isset($options['btn_text'])) {$options['btn_text'] = "";}
		if (!isset($options['button_bg_color'])) {$options['button_bg_color'] = "#5cbe4a";}
        if (!isset($options['tracking'])) {$options['tracking'] = "";}
      ?>
      <table class="form-table">
        <tr valign="top"><th scope="row"><label for="posts">Singular Posts</label></th>
          <td><input id="posts" name="wa_btn[posts]" type="checkbox" value="on" <?php checked('on', $options['posts']); ?> /> <small>This includes all posts, custom post types and attacments.</small></td>
        </tr>
        <tr valign="top"><th scope="row"><label for="pages">Pages</label></th>
          <td><input id="pages" name="wa_btn[pages]" type="checkbox" value="on" <?php checked('on', $options['pages']); ?> /></td>
        </tr>
        <tr valign="top"><th scope="row"><label for="homepage">Homepage</label></th>
          <td><input id="home" name="wa_btn[homepage]" type="checkbox" value="on" <?php checked('on', $options['homepage']); ?> /></td>
        </tr>
        <tr valign="top"><th scope="row"><label for="top">Above Content</label></th>
          <td><input id="top" name="wa_btn[top]" type="checkbox" value="on" <?php checked('on', $options['top']); ?> /></td>
        </tr>
        <tr valign="top"><th scope="row"><label for="btm">Below Content</label></th>
          <td><input id="btm" name="wa_btn[btm]" type="checkbox" value="on" <?php checked('on', $options['btm']); ?> /></td>
        </tr>
		<tr valign="top"><th scope="row"><label for="btm">Button Text</label></th>
          <td><input id="btm" name="wa_btn[btn_text]" type="text" value="<?php echo $options['btn_text']; ?>" /></td>
        </tr>
		<tr valign="top"><th scope="row"><label for="btm">Button Color</label></th>
          <td> <input name="wa_btn[button_bg_color]" class="button_bg_color" id="link-color" type="text" value="<?php echo $options['button_bg_color']; ?>" />
		  </td>
        </tr>
        <tr valign="top"><th scope="row"><label for="tracking">Add Tracking</label></th>
          <td><input id="tracking" name="wa_btn[tracking]" type="checkbox" value="on" <?php checked('on', $options['tracking']); ?> /> <small>Enable this to add UTM data onto the shared URL. It doesn't look as pretty but lets you track visits within Google Analytics. Source: WhatsApp. Medium: IM. Name: share button</small></td>
        </tr>
      </table>

      <p class="submit">
      <input type="submit" class="button-primary" value="<?php _e('Save Changes') ?>" />
      </p>
    </form>

               <div class="viavi_admin_box">
      <h3 class="title">Using the Shortcode</h3>
      <table class="form-table">
        <tr valign="top"><td>
<p>You can insert the button manually in any page or post or template by simply using the shortcode <strong>[whatsapp_share]</strong>. </p>
<p>You can also use the options below to override the the settings above.</p>
<ul>
<li><strong>url</strong> - leave blank for current URL</li>
<li><strong>title</strong> - leave blank to display current title</li>
</ul>
<p>Here's an example of using the shortcode:<br><code>[whatsapp_share url="http://codecanyon.net/user/viaviwebtech" title="Check this out!"]</code></p>
<p>You can also insert the shortcode directly into your theme with PHP:<br><code>&lt;?php echo do_shortcode('[whatsapp_share]'); ?&gt;</code>

          </td>
        </tr>
      </table>
</div>

</div>
            <div class="viavi_admin_main_right">
                 <div class="viavi_admin_box">

            <center><img src="http://www.lolinez.com/erw.jpg"><a href="http://codecanyon.net/user/viaviwebtech" target="_blank"><img src="<?php echo plugins_url( 'images/logo.png' , __FILE__ ); ?>" width="220" height="69" title="viaviwebtech"></a><br /><br />
            <a href="https://twitter.com/viaviwebtech" class="twitter-follow-button" target="_blank">Follow @viaviwebtech</a>
       
 
<br /><br />


                </div>

            </div>
        </div>
		<div style="display: none;"><a href="http://mihanscript.ir">میهن اسکریپت</a></div>
    </div>



<?php
}

?>